@font-face {
    font-family: 'Fredoka';
    src: url('../Fonts/FredokaVariable.ttf') format('truetype');
}

@font-face {
    font-family: 'SirwanLight';
    src: url('../Fonts/SirwanLight.ttf') format('truetype');
}

@font-face {
    font-family: 'SirwanBold';
    src: url('../Fonts/SirwanBold.ttf') format('truetype');
}
@font-face {
    font-family: 'Cursive';
    src: url('../Fonts/Cursive.ttf') format('truetype');
}
@font-face {
    font-family: 'Playwrite';
    src: url('../Fonts/Playwrite.ttf') format('truetype');
}
@font-face {
    font-family: 'Agency';
    src: url('../Fonts/Agency.ttf') format('truetype');
}

@media print {
    body {
        display: none !important;
    }
}

:root {
    --ThemeColor: var(--mud-palette-primary);
    --ThemeForeColor: var(--mud-palette-text-primary);
    --ThemeBackgroundColor: var(--mud-palette-background);

    --ThemeSurface: var(--mud-palette-surface);
    --ThemeShadowColor: var(--mud-palette-drawer-background);
    --ThemeGlassColor: var(--mud-palette-appbar-background);

    --ThemeBorderColor: var(--mud-palette-gray-light);
}

html {
    scroll-behavior: smooth;
}
html, body {
    font-family: SirwanLight !important;
    direction: rtl;
    padding: 0px;
    margin: 0px;
    color: black;
    box-sizing: border-box;
    height: 100%;
    transition: background-color 0.5s ease, color 0.5s ease;


    background-color: var(--ThemeBackgroundColor) !important;
}









.SplashContainer {
    height: 100dvh;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: linear-gradient(135deg, #FFFFFF 0%, #696FC7 0%, #4E54A8 100%);
    color: white;
    text-align: center;
    padding: 20px;
    box-sizing: border-box;
}

.SplashHeader{
    width : 100%;
    flex : 1;
    display : flex;
    align-items : center;
    justify-content : center;
    flex-direction : column;

}

.SplashFooter{
    display : flex;
    flex-direction : column;
    justify-content : center;
    align-items : center;
    margin-bottom : 20px;
}


.SplashLogo{
    width : 150px;
    height : 150px;
    animation: fadeInLogo 1.2s ease-out forwards;
}
.SplashContainer .SplashTitle {
    font-size: clamp(33px, 8vw, 50px);
    font-weight: 800;
    color: #ffffff;
    letter-spacing: -1.5px;
    margin-bottom: 15px;
}
.SplashContainer .SplashSubtitle {
    font-size: clamp(16px, 4vw, 20px);
    font-weight: 600;
    margin-bottom: 35px;
    opacity: 0.9; 
    color: #ffffff;
    max-width: 80%; 
    line-height: 1.6;
}
.SplashContainer .LoadingTitle {
    margin-top: 15px; 
    font-size: clamp(10px, 4vw, 14px);
    opacity: 0.6;
}
.SplashLoadingBar {
    width: clamp(150px, 50vw, 300px);
    height: 4px;
    background: rgba(255, 255, 255, 0.2);
    border-radius: 20px;
    position: relative;
    overflow: hidden;
}
.SplashLoadingProgress {
    width: 100%;
    height: 100%;
    background: #ffffff;
    box-shadow: 0 0 15px rgba(255, 255, 255, 0.6);
    animation: loading 1.8s infinite ease-in-out;
}
.SplashTitle, .SplashSubtitle, .SplashLogo {
    animation: fadeIn 1.2s ease-out forwards;
}




@keyframes loading {
    0% {
        transform: translateX(-100%);
    }

    50% {
        transform: translateX(0%);
    }

    100% {
        transform: translateX(100%);
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(15px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}
@keyframes fadeInLogo {
    from {
        opacity: 0;
        transform: translateY(-15px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}




.Backdrop {
    display: flex;
    justify-content: center;
    align-items: center;

    position: fixed;
    inset: 0;
    height: 100%;
    width: 100%;
    left : 0px;
    bottom : 0px;
    right : 0px; 
    top : 0px;
    
    opacity: 0;
    background-color: rgba(0,0,0,0.5);
    transition: opacity 225ms cubic-bezier(0.4, 0.0, 0.2, 1);

    backdrop-filter: blur(4px);
}
.Backdrop.show {
    opacity: 1;
}






